%define	major	1

Summary:	A library for handling MNG files
Name:		libmng
Version:	1.0.3
Release:	2mdk
License:	Distributable (see LICENSE)
Group:		System/Libraries
Packager:	David BAUDENS <baudens@mandrakesoft.com>
URL:		http://www.libmng.com/

Source:		%name-%version.tar.bz2
Patch0:		libmng-1.0.3-lcms.h.patch.bz2

BuildRequires:	autoconf automake diffutils gawk gcc-cpp libbinutils2-devel
BuildRequires:	libbzip2_1-devel libjpeg62-devel liblcms1-devel libtermcap2-devel
BuildRequires:	libtool m4 mktemp perl popt-devel readline-devel rpm-build texinfo
BuildRequires:	zlib1-devel
Buildroot:	%_tmppath/%name-%version-root

%description
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar

%package -n %name%major
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%name

%description -n %name%major
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

%package -n %name%major-devel
Summary:	Header files for libmng
Group:		Development/C
Requires:	%name%major = %version-%release
Provides:	%name-devel
Obsoletes:	%name-devel, libmng0.9.3-devel, libmng0-devel

%description -n %name%major-devel
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains header files needed for development.

%package -n %name%major-static-devel
Summary:	Static libraries for libmng
Group:		Development/C
Requires:	%name%major-devel = %version-%release

%description -n %name%major-static-devel
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.
 
This package contains static libraries needed for development.

%prep

%setup -q
%patch0 -p1

%build
%configure

%make

%install
%makeinstall

cd $RPM_BUILD_DIR/%name-%version/doc/man
install -d %buildroot/%_mandir/man3
install -d %buildroot/%_mandir/man5
install -m644 libmng.3 %buildroot/%_mandir/man3
install -m644 jng.5 %buildroot/%_mandir/man5
install -m644 mng.5 %buildroot/%_mandir/man5

%post -n %name%major -p /sbin/ldconfig

%postun -n %name%major -p /sbin/ldconfig

%post -n %name%major-devel -p /sbin/ldconfig

%postun -n %name%major-devel -p /sbin/ldconfig

%files -n %name%major
%defattr(-,root,root,-)
%doc LICENSE
%_libdir/*.la
%_libdir/*.so.*

%files -n %name%major-devel
%defattr(-,root,root,-)
%doc Changes LICENSE README README.contrib README.examples
%doc doc/Plan1.png doc/Plan2.png doc/doc.readme doc/libmng.txt
%_includedir/*
%_libdir/*.so
%_mandir/man*/*

%files -n %name%major-static-devel
%defattr(-,root,root,-)
%_libdir/*.a

%clean
rm -fr %buildroot

%changelog
* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Automated rebuild in gcc3.1 environment

* Tue Oct 09 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Jul 19 2001 dam's <damien@mandrakesoft.com> 1.0.2-2mdk
- removed obsolete. dadou sux :) 

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- Move static librarie in static-devel package

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-3mdk
- BuildRequires:	libjpeg-devel
- BuildRequires:	zlib-devel

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Don't put man pages in both devel and non devel packages

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- Merge Vince's modifications (spec)

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-3mdk
- Fix libdification

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-2mdk
- Make compliant to new LMDK lib policy

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-1mdk
- First package for Linux-Mandrake distribution
